# the upstream component nginx needs to connect to
upstream django {
    server unix://{{ webapp_socket }}; # for a file socket
}

# configuration of the server
server {
    # the port your site will be served on
    listen      8888;
    # the domain name it will serve for
    server_name {{ webapp_server_name }}; # substitute your machine's IP address or FQDN
    charset     utf-8;

    # max upload size
    client_max_body_size 75M;   # adjust to taste

    location = /favicon.ico { access_log off; log_not_found off; }

    # Django media
    location /media  {
        alias {{ webapp_directory_full_path }}/{{ webapp_project_name }}/media;  # your Django project's media files - amend as required
    }

    location /static {
        alias {{ webapp_directory_full_path }}/{{ webapp_project_name }}/static; # your Django project's static files - amend as required
    }

    # Finally, send all non-media requests to the Django server.
    location / {
        uwsgi_pass  django;
        include     {{ webapp_directory_full_path }}/uwsgi_params; # the uwsgi_params file you installed
    }
}
